#ifndef _JRN_SEEGRAPH_H_
#define _JRN_SEEGRAPH_H_

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <time.h>

#include "graphio.h"
#include "layout.h"

#ifdef __cplusplus
extern "C" {
#endif

//Returns the number of edges in the graph
int edgeCountMat2D(int numVerts, short int** mat2d);

//Main function call to generate to layout
int createLayout(int argc, char** argv, bool useTwoDLayout, bool useEBLayout);

//Utility function for telling if a file exists
bool fexists(char* filename);

//Utility function for bootstrapping the layout engine
void layoutConverser(int* largc, char*** largv, char* fn, float thresh, int absFlag);

#ifdef __cplusplus
}
#endif

#endif
